Package org.codehaus.groovy.ant

# Class FileIterator

java.lang.Object
org.codehaus.groovy.ant.FileIterator

All Implemented Interfaces:
  `Iterator`

public class FileIterator extends Object implements Iterator

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`FileIterator(Project project, Iterator<FileSet> fileSetIterator)`
`FileIterator(Project project, Iterator<FileSet> fileSetIterator, boolean iterateDirectories)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Object`
`next()`
`void`
`remove()`
throws UnsupportedOperationException

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### FileIterator

public FileIterator(Project project, Iterator<FileSet> fileSetIterator)

### FileIterator

public FileIterator(Project project, Iterator<FileSet> fileSetIterator, boolean iterateDirectories)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator`
Returns:
  true if there is another object that matches the given predicate

### next

public Object next()

Specified by:
  `next` in interface `Iterator`
Returns:
  the next object which matches the given predicate

### remove

public void remove()
throws UnsupportedOperationException

Specified by:
  `remove` in interface `Iterator`